optional.hpp File Reference

## Classes

struct | ranges::v3::bad_optional_access
struct | ranges::v3::in_place_t
struct | ranges::v3::nullopt_t
struct | ranges::v3::nullopt_t::tag
struct | ranges::v3::optional< T >
struct | ranges::v3::optional< T >

## Functions

template<typename T >
constexpr auto | ranges::v3::make_optional (T &&t) noexcept(noexcept(decltype(optional< detail::decay_t< T >>{static_cast< T &&>(t)})(optional< detail::decay_t< T >>{static_cast< T &&>(t)}))) -> decltype(optional< detail::decay_t< T >>
template<typename T , typename... Args>
constexpr auto | ranges::v3::make_optional (Args &&... args) noexcept(noexcept(decltype(optional< T >{in_place, static_cast< Args &&>(args)...})(optional< T >{in_place, static_cast< Args &&>(args)...}))) -> decltype(optional< T >
template<typename T , typename U , typename... Args>
constexpr auto | ranges::v3::make_optional (std::initializer_list< U > il, Args &&... args) noexcept(noexcept(decltype(optional< T >{in_place, il, static_cast< Args &&>(args)...})(optional< T >{in_place, il, static_cast< Args &&>(args)...}))) -> decltype(optional< T >

## Variables

constexpr in_place_t | ranges::v3::in_place {}